com.smartgwt.client.widgets

## Class MultiGroupDialog

- java.lang.Object
- - com.google.gwt.user.client.ui.UIObject
  - - com.google.gwt.user.client.ui.Widget
    - - com.smartgwt.client.widgets.BaseWidget
      - - com.smartgwt.client.widgets.Canvas
        - - com.smartgwt.client.widgets.layout.Layout
          - - com.smartgwt.client.widgets.layout.VLayout
            - - com.smartgwt.client.widgets.Window
              - - com.smartgwt.client.widgets.MultiGroupDialog

- All Implemented Interfaces:
    com.google.gwt.event.logical.shared.HasAttachHandlers, com.google.gwt.event.shared.HasHandlers, com.google.gwt.user.client.EventListener, com.google.gwt.user.client.ui.HasVisibility, com.google.gwt.user.client.ui.IsWidget, LogicalStructure, HasClearHandlers, HasClickHandlers, HasCloseClickHandlers, HasDoubleClickHandlers, HasDragMoveHandlers, HasDragRepositionMoveHandlers, HasDragRepositionStartHandlers, HasDragRepositionStopHandlers, HasDragResizeMoveHandlers, HasDragResizeStartHandlers, HasDragResizeStopHandlers, HasDragStartHandlers, HasDragStopHandlers, HasDropHandlers, HasDropMoveHandlers, HasDropOutHandlers, HasDropOverHandlers, HasFocusChangedHandlers, HasHoverHandlers, HasHoverHiddenHandlers, HasKeyDownHandlers, HasKeyPressHandlers, HasMaximizeClickHandlers, HasMinimizeClickHandlers, HasMouseDownHandlers, HasMouseMoveHandlers, HasMouseOutHandlers, HasMouseOverHandlers, HasMouseStillDownHandlers, HasMouseUpHandlers, HasMouseWheelHandlers, HasMovedHandlers, HasParentMovedHandlers, HasResizedHandlers, HasRestoreClickHandlers, HasRightMouseDownHandlers, HasRuleContextChangedHandlers, HasScrolledHandlers, HasShowContextMenuHandlers, HasVisibilityChangedHandlers, HasMembersChangedHandlers

      public class MultiGroupDialog
      extends Window

  A dialog that allows the user to set up complex grouping arrangements by defining a group of `GroupSpecifier`s.

  Each `GroupSpecifier` applies to a single property and grouping - so, for instance, in a grid with two columns, `Nationhood` and `Country`, you could group first by `Nationhood` with its selected groupingMode and then by `Country` with its selected groupingMode.

  Important Note: this class should not be used directly - it is exposed purely for `i18n reasons.`

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.google.gwt.user.client.ui.UIObject

      `com.google.gwt.user.client.ui.UIObject.DebugIdImpl, com.google.gwt.user.client.ui.UIObject.DebugIdImplEnabled`

  - ### Field Summary

    - ### Fields inherited from class com.smartgwt.client.widgets.BaseWidget

      `config, configOnly, factoryCreated, factoryProperties, id, nativeObject, scClassName`

    - ### Fields inherited from class com.google.gwt.user.client.ui.UIObject

      `DEBUG_ID_PREFIX`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MultiGroupDialog()`
    `MultiGroupDialog(com.google.gwt.core.client.JavaScriptObject jsObj)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `changeAutoChildDefaults(java.lang.String autoChildName, Canvas defaults)` Changes the defaults for Canvas AutoChildren named `autoChildName`.
    `static void` | `changeAutoChildDefaults(java.lang.String autoChildName, FormItem defaults)` Changes the defaults for FormItem AutoChildren named `autoChildName`.
    `protected com.google.gwt.core.client.JavaScriptObject` | `create()`
    `IButton` | `getAddLevelButton()` Automatically generated `IButton` providing a mechanism for adding new levels to the group configuration.
    `java.lang.String` | `getAddLevelButtonTitle()` The title-text to appear on the addLevelButton.
    `IButton` | `getApplyButton()` Automatically generated `IButton` providing the mechanism for accepting the current group configuration.
    `java.lang.String` | `getApplyButtonTitle()` The title-text to appear on the applyButton
    `IButton` | `getCancelButton()` Automatically generated `IButton` providing the mechanism for closing this Dialog without accepting the current group configuration.
    `java.lang.String` | `getCancelButtonTitle()` The title-text to appear on the cancelButton
    `IButton` | `getCopyLevelButton()` Automatically generated `IButton` providing a mechanism for duplicating levels in the group configuration.
    `java.lang.String` | `getCopyLevelButtonTitle()` The title-text to appear on the copyLevelButton
    `IButton` | `getDeleteLevelButton()` Automatically generated `IButton` providing a mechanism for deleting levels from the group configuration.
    `java.lang.String` | `getDeleteLevelButtonTitle()` The title-text to appear on the deleteLevelButton
    `java.lang.String` | `getGroupingFieldTitle()` The title-text to appear in the header of the "property" field.
    `java.lang.String` | `getInvalidListPrompt()` This is a dynamic string - text within `${...}` will be evaluated as JS code when the message is displayed.
    `ImgButton` | `getLevelDownButton()` Automatically generated `ImgButton` providing a mechanism for moving existing group-levels down in the group configuration.
    `java.lang.String` | `getLevelDownButtonTitle()` The hover-prompt for the Level Down button.
    `ImgButton` | `getLevelUpButton()` Automatically generated `ImgButton` providing a mechanism for moving existing group-levels up in the group configuration.
    `java.lang.String` | `getLevelUpButtonTitle()` The hover-prompt for the Level Up button.
    `com.smartgwt.logicalstructure.core.LogicalStructureObject` | `getLogicalStructure()` Getter implementing the `LogicalStructure` interface, which supports Eclipse's logical structure debugging facility.
    `java.lang.Integer` | `getMaxLevels()` The maximum number of levels of grouping that can be applied.
    `int` | `getNumLevels()` Return the number of levels of grouping that have been configured.
    `ListGrid` | `getOptionsGrid()` Automatically generated `ListGrid` allowing the user to configure a set of `GroupSpecifier`s.
    `static MultiGroupDialog` | `getOrCreateRef(com.google.gwt.core.client.JavaScriptObject jsObj)`
    `java.lang.String` | `getPropertyFieldTitle()` The title-text to appear in the header of the "property" field.
    `java.lang.String` | `getTitle()` The title-text to appear in this Dialog's Header-bar.
    `MultiGroupDialog` | `setAddLevelButtonTitle(java.lang.String addLevelButtonTitle)` The title-text to appear on the addLevelButton.
    `MultiGroupDialog` | `setApplyButtonTitle(java.lang.String applyButtonTitle)` The title-text to appear on the applyButton
    `MultiGroupDialog` | `setCancelButtonTitle(java.lang.String cancelButtonTitle)` The title-text to appear on the cancelButton
    `MultiGroupDialog` | `setCopyLevelButtonTitle(java.lang.String copyLevelButtonTitle)` The title-text to appear on the copyLevelButton
    `static void` | `setDefaultProperties(MultiGroupDialog multiGroupDialogProperties)` Class level method to set the default properties of this class.
    `MultiGroupDialog` | `setDeleteLevelButtonTitle(java.lang.String deleteLevelButtonTitle)` The title-text to appear on the deleteLevelButton
    `MultiGroupDialog` | `setGroupingFieldTitle(java.lang.String groupingFieldTitle)` The title-text to appear in the header of the "property" field.
    `MultiGroupDialog` | `setInvalidListPrompt(java.lang.String invalidListPrompt)` This is a dynamic string - text within `${...}` will be evaluated as JS code when the message is displayed.
    `MultiGroupDialog` | `setLevelDownButtonTitle(java.lang.String levelDownButtonTitle)` The hover-prompt for the Level Down button.
    `MultiGroupDialog` | `setLevelUpButtonTitle(java.lang.String levelUpButtonTitle)` The hover-prompt for the Level Up button.
    `com.smartgwt.logicalstructure.core.LogicalStructureObject` | `setLogicalStructure(com.smartgwt.logicalstructure.widgets.MultiGroupDialogLogicalStructure s)` Setter implementing the `LogicalStructure` interface, which supports Eclipse's logical structure debugging facility.
    `MultiGroupDialog` | `setMaxLevels(java.lang.Integer maxLevels)` The maximum number of levels of grouping that can be applied.
    `MultiGroupDialog` | `setPropertyFieldTitle(java.lang.String propertyFieldTitle)` The title-text to appear in the header of the "property" field.
    `void` | `setTitle(java.lang.String title)` The title-text to appear in this Dialog's Header-bar.
    `boolean` | `validate()` Validate that no two `GroupSpecifier`s group on the same `property`.

    - ### Methods inherited from class com.smartgwt.client.widgets.Window

      `addCloseClickHandler, addItem, addItem, addMaximizeClickHandler, addMember, addMember, addMinimizeClickHandler, addRestoreClickHandler, centerInPage, close, flash, getAnimateMinimize, getAutoCenter, getAutoSize, getBody, getBodyColor, getBodyStyle, getBringToFrontOnMouseUp, getCanDragReposition, getCanDragResize, getCanFocusInHeaderButtons, getCloseButton, getContentLayout, getContentsType, getDefaultMinimizeHeight, getDismissOnEscape, getDismissOnOutsideClick, getEditProxyConstructor, getFillSpaceStyleName, getFooter, getFooterHeight, getHeader, getHeaderBackground, getHeaderIcon, getHeaderLabel, getHeaderSrc, getHeaderStyle, getHiliteBodyColor, getHiliteHeaderSrc, getHiliteHeaderStyle, getIsModal, getItems, getMaximizeButton, getMaximized, getMinimizeAcceleration, getMinimizeButton, getMinimized, getMinimizeHeight, getMinimizeTime, getModalMask, getModalMaskOpacity, getModalMaskStyle, getOpacity, getPlacement, getPrintBodyStyle, getPrintHeaderStyle, getResizeFrom, getResizer, getRestoreButton, getShowBody, getShowCloseButton, getShowEdges, getShowFooter, getShowHeader, getShowHeaderBackground, getShowHeaderIcon, getShowMaximizeButton, getShowMinimizeButton, getShowModalMask, getShowResizer, getShowShadow, getShowStatusBar, getShowTitle, getSrc, getStatus, getStatusBar, getUseBackMask, maximize, minimize, preloadImages, removeItem, restore, revealChild, revealChild, setAnimateMinimize, setAutoCenter, setAutoSize, setBodyColor, setBodyDefaults, setBodyStyle, setBringToFrontOnMouseUp, setCanDragReposition, setCanDragResize, setCanFocusInHeaderButtons, setContentLayout, setContentLayout, setContentsType, setDefaultMinimizeHeight, setDefaultProperties, setDismissOnEscape, setDismissOnOutsideClick, setEditProxyConstructor, setFillSpaceStyleName, setFooterControls, setFooterHeight, setHeaderControls, setHeaderIcon, setHeaderIcon, setHeaderIconDefaults, setHeaderIconProperties, setHeaderSrc, setHeaderStyle, setHiliteBodyColor, setHiliteHeaderSrc, setHiliteHeaderStyle, setIsModal, setKeepInParentRect, setKeepInParentRect, setLogicalStructure, setMaximized, setMinimizeAcceleration, setMinimized, setMinimizeHeight, setMinimizeTime, setModalMaskOpacity, setModalMaskStyle, setOpacity, setPlacement, setPrintBodyStyle, setPrintHeaderStyle, setResizeFrom, setShowBody, setShowCloseButton, setShowEdges, setShowFooter, setShowHeader, setShowHeaderBackground, setShowHeaderIcon, setShowMaximizeButton, setShowMinimizeButton, setShowModalMask, setShowResizer, setShowShadow, setShowStatusBar, setShowTitle, setSrc, setStatus, setUseBackMask, shouldDismissOnEscape`

    - ### Methods inherited from class com.smartgwt.client.widgets.layout.VLayout

      `setDefaultProperties, setLogicalStructure`

    - ### Methods inherited from class com.smartgwt.client.widgets.layout.Layout

      `addMember, addMember, addMember, addMemberPostCreate, addMemberPostCreate, addMemberPreCreate, addMemberPreCreate, addMembers, addMembers, addMembersChangedHandler, getAnimateMembers, getAnimateMemberTime, getCanDropComponents, getChildTabPosition, getDefaultResizeBars, getDropComponent, getDropLine, getDropLineThickness, getDropPosition, getEnforcePolicy, getHPolicy, getLayoutBottomMargin, getLayoutEndMargin, getLayoutLeftMargin, getLayoutMargin, getLayoutRightMargin, getLayoutStartMargin, getLayoutTopMargin, getLeaveScrollbarGap, getLocateMembersBy, getLocateMembersType, getManagePercentBreadth, getMember, getMember, getMemberDefaultBreadth, getMemberNumber, getMemberNumber, getMemberOverlap, getMembers, getMembersLength, getMembersMargin, getMinMemberLength, getMinMemberSize, getOverflow, getPaddingAsLayoutMargin, getResizeBar, getResizeBarClass, getResizeBarSize, getReverseOrder, getShowDragPlaceHolder, getShowDropLines, getStackZIndex, getVertical, getVPolicy, hasMember, hideDropLine, hideMember, hideMember, layoutIsDirty, onInit_Layout, onInit, reflow, reflow, reflowNow, removeMember, removeMembers, removeMembers, reorderMember, reorderMembers, replaceMember, setAlign, setAlign, setAnimateMembers, setAnimateMemberTime, setCanDropComponents, setDefaultLayoutAlign, setDefaultLayoutAlign, setDefaultProperties, setDefaultResizeBars, setDropLineProperties, setDropLineThickness, setEnforcePolicy, setHPolicy, setLayoutBottomMargin, setLayoutEndMargin, setLayoutLeftMargin, setLayoutMargin, setLayoutRightMargin, setLayoutStartMargin, setLayoutTopMargin, setLeaveScrollbarGap, setLocateMembersBy, setLocateMembersType, setLogicalStructure, setManagePercentBreadth, setMemberOverlap, setMembers, setMembersMargin, setMinBreadthMember, setMinBreadthMember, setMinBreadthMember, setMinMemberLength, setMinMemberSize, setOverflow, setPaddingAsLayoutMargin, setPlaceHolderDefaults, setPlaceHolderProperties, setResizeBarClass, setResizeBarSize, setReverseOrder, setShowDragPlaceHolder, setShowDropLines, setStackZIndex, setVertical, setVisibleMember, setVPolicy, showMember, showMember`

    - ### Methods inherited from class com.smartgwt.client.widgets.Canvas

      `addChild, addChild, addChild, addChild, addChild, addClearHandler, addClickHandler, addDoubleClickHandler, addDragMoveHandler, addDragRepositionMoveHandler, addDragRepositionStartHandler, addDragRepositionStopHandler, addDragResizeMoveHandler, addDragResizeStartHandler, addDragResizeStopHandler, addDragStartHandler, addDragStopHandler, addDropHandler, addDropMoveHandler, addDropOutHandler, addDropOverHandler, addFocusChangedHandler, addHoverHandler, addHoverHiddenHandler, addKeyDownHandler, addKeyPressHandler, addMouseDownHandler, addMouseMoveHandler, addMouseOutHandler, addMouseOverHandler, addMouseStillDownHandler, addMouseUpHandler, addMouseWheelHandler, addMovedHandler, addParentMovedHandler, addPeer, addPeer, addPeer, addPeer, addResizedHandler, addRightMouseDownHandler, addRuleContextChangedHandler, addScrolledHandler, addShowContextMenuHandler, addSnapAlignCandidate, addStyleName, addVisibilityChangedHandler, adjustForContent, animateFade, animateFade, animateFade, animateFade, animateFade, animateFade, animateFade, animateFade, animateHide, animateHide, animateHide, animateHide, animateHide, animateHide, animateHide, animateMove, animateMove, animateMove, animateMove, animateRect, animateRect, animateRect, animateRect, animateResize, animateResize, animateResize, animateResize, animateScroll, animateScroll, animateScroll, animateScroll, animateScroll, animateScroll, animateShow, animateShow, animateShow, animateShow, animateShow, animateShow, animateShow, asSGWTComponent, blur, bringToFront, clear, clearExplicitTabIndex, clickMaskUp, clickMaskUp, contains, contains, containsEvent, containsEventTarget, containsFocus, containsPoint, containsPoint, dataContextChanged, deparent, depeer, disable, enable, encloses, focus, focusAfterGroup, focusAtEnd, focusInNextTabElement, focusInPreviousTabElement, getAbsoluteLeft, getAbsoluteTop, getAccessKey, getAdaptiveHeightPriority, getAdaptiveWidthPriority, getAlwaysManageFocusNavigation, getAlwaysShowScrollbars, getAnimateAcceleration, getAnimateFadeTime, getAnimateHideAcceleration, getAnimateHideEffect, getAnimateHideTime, getAnimateMoveAcceleration, getAnimateMoveTime, getAnimateRectAcceleration, getAnimateRectTime, getAnimateResizeAcceleration, getAnimateResizeLayoutMode, getAnimateResizeTime, getAnimateScrollAcceleration, getAnimateScrollTime, getAnimateShowAcceleration, getAnimateShowEffect, getAnimateShowTime, getAnimateTime, getAppImgDir, getAriaHandleID, getAriaRole, getAriaStateDefaults, getAutoMaskComponents, getAutoParent, getAutoPopulateData, getAutoShowParent, getBackgroundColor, getBackgroundImage, getBackgroundPosition, getBackgroundRepeat, getBorder, getBorderRadius, getBottom, getById, getByJSObject, getByLocalId, getCanAcceptDrop, getCanAdaptHeight, getCanAdaptWidth, getCanDrag, getCanDragScroll, getCanDrop, getCanDropBefore, getCanFocus, getCanHover, getCanSelectText, getCanvasAutoChild, getCanvasItem, getChildren, getChildrenResizeSnapAlign, getChildrenSnapAlign, getChildrenSnapCenterAlign, getChildrenSnapEdgeAlign, getChildrenSnapResizeToGrid, getChildrenSnapToGrid, getClassName, getComponentMask, getComponentMaskDefaults, getContentElement, getContents, getContextMenu, getCorrectZoomOverflow, getCursor, getDataContext, getDataPath, getDefaultHeight, getDefaultWidth, getDefiningProperty, getDefiningPropertyName, getDefiningPropertyNameOptions, getDestroyed, getDestroying, getDisabled, getDisabledCursor, getDisableTouchScrollingForDrag, getDoubleClickDelay, getDragAppearance, getDragIntersectStyle, getDragMaskType, getDragMaxHeight, getDragMaxWidth, getDragMinHeight, getDragMinWidth, getDragOpacity, getDragRepositionAppearance, getDragRepositionCursor, getDragResizeAppearance, getDragScrollDelay, getDragStartDistance, getDragTarget, getDragTargetAsString, getDragType, getDropTarget, getDropTargetAsString, getDropTypes, getDropTypesAsString, getDynamicContents, getEdgeBackgroundColor, getEdgeCenterBackgroundColor, getEdgeImage, getEdgeMarginSize, getEdgeOffset, getEdgeOpacity, getEdgeShowCenter, getEdgeSize, getEditNode, getEditProxy, getElement, getElement, getEnableWhen, getEndLine, getEventEdge, getEventEdge, getExtraSpace, getFacetId, getFloatingScrollbars, getFormItemAutoChild, getForwardSVGeventsToObject, getFullDataPath, getGroupBorderCSS, getGroupLabelBackgroundColor, getGroupLabelStyleName, getGroupPadding, getGroupTitle, getHeight, getHeightAsString, getHideUsingDisplayNone, getHoverAlign, getHoverAutoDestroy, getHoverAutoFitMaxWidth, getHoverAutoFitMaxWidthAsString, getHoverAutoFitWidth, getHoverComponent, getHoverDelay, getHoverFocusKey, getHoverHeight, getHoverHTML, getHoverMoveWithMouse, getHoverOpacity, getHoverPersist, getHoverScreen, getHoverStyle, getHoverVAlign, getHoverWidth, getHoverWrap, getHSnapPosition, getHSnapPosition, getHtmlElement, getHtmlElementAsString, getHtmlPosition, getImage, getImgURL, getImgURL, getInnerContentHeight, getInnerContentWidth, getInnerHeight, getInnerWidth, getIsGroup, getIsPrinting, getIsRuleScope, getIsSnapAlignCandidate, getKeepInParentRect, getLayoutAlign, getLeaveGroupLabelSpace, getLeavePageSpace, getLeft, getLeftAsString, getLocalId, getLocateByIDOnly, getLocateChildrenBy, getLocateChildrenType, getLocatePeersBy, getLocatePeersType, getLocatorName, getMargin, getMasterCanvas, getMasterElement, getMatchElement, getMatchElementHeight, getMatchElementWidth, getMaxHeight, getMaxWidth, getMaxZoomOverflowError, getMenuConstructor, getMinHeight, getMinNonEdgeSize, getMinWidth, getMomentumScrollMinSpeed, getMouseStillDownDelay, getMouseStillDownInitialDelay, getName, getNativeAutoHideScrollbars, getNextZIndex, getNoDoubleClicks, getNoDropCursor, getOffsetHeight, getOffsetWidth, getOffsetX, getOffsetY, getOuterElement, getPadding, getPageBottom, getPageLeft, getPageRect, getPageRight, getPageTop, getPaletteDefaults, getPanelContainer, getParentCanvas, getParentElement, getPeers, getPendingMarkerStyle, getPendingMarkerVisible, getPercentBox, getPercentSource, getPersistentMatchElement, getPointerSettings, getPointerTarget, getPointerTargetAsString, getPosition, getPrefix, getPrintChildrenAbsolutelyPositioned, getPrintHTML, getPrintHTML, getPrintStyleName, getPrompt, getProportionalResizeModifiers, getProportionalResizing, getReceiveScrollbarEvents, getRect, getRedrawOnResize, getResizeBarTarget, getRight, getRuleContext, getRuleContext, getRuleScope, getScrollbarSize, getScrollBottom, getScrollHeight, getScrollLeft, getScrollRight, getScrollTop, getScrollWidth, getShadowColor, getShadowDepth, getShadowHOffset, getShadowImage, getShadowOffset, getShadowSoftness, getShadowSpread, getShadowVOffset, getShouldPrint, getShowCustomScrollbars, getShowDragShadow, getShowHover, getShowHoverComponents, getShowPointer, getShowResizeBar, getShowSnapGrid, getShrinkElementOnHide, getSizeMayChangeOnRedraw, getSkinImgDir, getSnapAlignCandidates, getSnapAlignCenterLineStyle, getSnapAlignEdgeLineStyle, getSnapAxis, getSnapEdge, getSnapGridLineProperties, getSnapGridStyle, getSnapHDirection, getSnapHGap, getSnapOffsetLeft, getSnapOffsetTop, getSnapOnDrop, getSnapPosition, getSnapPosition, getSnapResizeToAlign, getSnapResizeToGrid, getSnapTo, getSnapToAlign, getSnapToCenterAlign, getSnapToEdgeAlign, getSnapToGrid, getSnapVDirection, getSnapVGap, getStartLine, getStyleName, getTabIndex, getTestDataContext, getTestInstance, getTooltip, getTop, getTopAsString, getTopElement, getUISummary, getUpdateTabPositionOnDraw, getUpdateTabPositionOnReparent, getUseCSSShadow, getUseDragMask, getUseImageForSVG, getUseNativeDrag, getUseOpacityFilter, getUseTouchScrolling, getValuesManager, getValuesManagerAsString, getViewportHeight, getViewportWidth, getVisibility, getVisibleHeight, getVisibleWhen, getVisibleWidth, getVSnapPosition, getVSnapPosition, getWidth, getWidthAsString, getWorkflows, getZIndex, getZIndex, handleHover, hide, hideClickMask, hideClickMask, hideComponentMask, hideComponentMask, hideContextMenu, imgHTML, imgHTML, imgHTML, initComplete, intersects, isDirty, isDisabled, isFocused, isVisible, keyUp, layoutChildren, linkHTML, linkHTML, linkHTML, linkHTML, linkHTML, linkHTML, markForDestroy, markForRedraw, markForRedraw, moveAbove, moveBelow, moveBy, moveTo, onAttach, onDetach, pageScrollDown, pageScrollUp, parentResized, placeNear, placeNear, placeNear, print, print, print, print, printComponents, provideRuleContext, provideRuleContext, redraw, redraw, registerFontScaledPaddingStyles, removeChild, removeChild, removePeer, removePeer, removeRuleContext, removeSnapAlignCandidate, resizeAutoChildAttributes, resizeBy, resizeControls, resizeControlsTo, resizeFonts, resizeFonts, resizeFonts, resizeFontsTo, resizeIcons, resizePadding, resizePadding, resizeTo, resizeTo, scrollBy, scrollByPercent, scrollTo, scrollTo, scrollTo, scrollToBottom, scrollToLeft, scrollToPercent, scrollToRight, scrollToTop, sendToBack, setAccessKey, setAdaptHeightByCustomizer, setAdaptiveHeightPriority, setAdaptiveWidthPriority, setAdaptWidthByCustomizer, setAllowExternalFilters, setAlwaysManageFocusNavigation, setAlwaysShowScrollbars, setAnimateAcceleration, setAnimateFadeTime, setAnimateHideAcceleration, setAnimateHideEffect, setAnimateHideTime, setAnimateMoveAcceleration, setAnimateMoveTime, setAnimateRectAcceleration, setAnimateRectTime, setAnimateResizeAcceleration, setAnimateResizeLayoutMode, setAnimateResizeTime, setAnimateScrollAcceleration, setAnimateScrollTime, setAnimateShowAcceleration, setAnimateShowEffect, setAnimateShowTime, setAnimateTime, setAppImgDir, setAriaRole, setAriaState, setAutoChildConstructor, setAutoChildProperties, setAutoChildProperties, setAutoChildProperties, setAutoChildProperties, setAutoChildVisibility, setAutoHeight, setAutoMaskComponents, setAutoParent, setAutoPopulateData, setAutoResizeAutoChildAttributes, setAutoResizeIcons, setAutoShowParent, setAutoWidth, setBackgroundColor, setBackgroundImage, setBackgroundPosition, setBackgroundRepeat, setBorder, setBorderRadius, setBottom, setCanAcceptDrop, setCanAdaptHeight, setCanAdaptWidth, setCanDrag, setCanDragScroll, setCanDrop, setCanDropBefore, setCanFocus, setCanHover, setCanSelectText, setChildren, setChildrenResizeSnapAlign, setChildrenSnapAlign, setChildrenSnapCenterAlign, setChildrenSnapEdgeAlign, setChildrenSnapResizeToGrid, setChildrenSnapToGrid, setComponentMaskDefaults, setContents, setContextMenu, setCorrectZoomOverflow, setCursor, setDataContext, setDataPath, setDefaultHeight, setDefaultPageSpace, setDefaultProperties, setDefaultShowCustomScrollbars, setDefaultWidth, setDefiningProperty, setDefiningPropertyNameOptions, setDisabled, setDisabledCursor, setDisableTouchScrollingForDrag, setDoubleClickDelay, setDragAppearance, setDragIntersectStyle, setDragMaskType, setDragMaxHeight, setDragMaxWidth, setDragMinHeight, setDragMinWidth, setDragOpacity, setDragRepositionAppearance, setDragRepositionCursor, setDragResizeAppearance, setDragScrollDelay, setDragStartDistance, setDragTarget, setDragTarget, setDragType, setDropTarget, setDropTarget, setDropTypes, setDropTypes, setDynamicContents, setEdgeBackgroundColor, setEdgeCenterBackgroundColor, setEdgeImage, setEdgeMarginSize, setEdgeOffset, setEdgeOpacity, setEdgeShowCenter, setEdgeSize, setEditMode, setEditMode, setEditMode, setElement, setEnableWhen, setEndLine, setExtraSpace, setFacetId, setFloatingScrollbars, setForwardSVGeventsToObject, setGroupBorderCSS, setGroupLabelBackgroundColor, setGroupLabelStyleName, setGroupPadding, setGroupTitle, setHeight, setHeight, setHeight, setHeight100, setHideUsingDisplayNone, setHoverAlign, setHoverAutoDestroy, setHoverAutoFitMaxWidth, setHoverAutoFitMaxWidth, setHoverAutoFitWidth, setHoverDelay, setHoverFocusKey, setHoverHeight, setHoverMoveWithMouse, setHoverOpacity, setHoverPersist, setHoverScreen, setHoverStyle, setHoverVAlign, setHoverWidth, setHoverWrap, setHtmlElement, setHtmlElement, setHtmlPosition, setImage, setImage, setInitHandler, setIsGroup, setIsRuleScope, setIsSnapAlignCandidate, setKeepInParentRect, setLayoutAlign, setLayoutAlign, setLeaveGroupLabelSpace, setLeavePageSpace, setLeft, setLeft, setLocateByIDOnly, setLocateChildrenBy, setLocateChildrenType, setLocatePeersBy, setLocatePeersType, setLocatorName, setLocatorParent, setLocatorParent, setLogicalStructure, setMargin, setMatchElement, setMatchElementHeight, setMatchElementWidth, setMaxHeight, setMaxWidth, setMaxZoomOverflowError, setMenuConstructor, setMinHeight, setMinNonEdgeSize, setMinWidth, setMomentumScrollMinSpeed, setMouseStillDownDelay, setMouseStillDownInitialDelay, setName, setNativeAutoHideScrollbars, setNeverUseFilters, setNoDoubleClicks, setNoDropCursor, setPadding, setPageLeft, setPageTop, setPanelContainer, setParentCanvas, setParentElement, setPeers, setPendingMarkerStyle, setPendingMarkerVisible, setPercentBox, setPercentSource, setPersistentMatchElement, setPointerSettings, setPointerTarget, setPosition, setPrefix, setPrintChildrenAbsolutelyPositioned, setPrintStyleName, setPrompt, setProportionalResizeModifiers, setProportionalResizing, setReceiveScrollbarEvents, setRect, setRect, setRedrawOnResize, setRelativeTabPosition, setResizeBarTarget, setResizeFrom, setRight, setRuleScope, setScrollbarConstructor, setScrollbarSize, setShadowColor, setShadowDepth, setShadowHOffset, setShadowImage, setShadowOffset, setShadowSoftness, setShadowSpread, setShadowVOffset, setShouldPrint, setShowCustomScrollbars, setShowDragShadow, setShowHover, setShowHoverComponents, setShowPointer, setShowResizeBar, setShowSnapGrid, setShrinkElementOnHide, setSizeMayChangeOnRedraw, setSkinImgDir, setSmoothFade, setSnapAlignCandidates, setSnapAlignCenterLineStyle, setSnapAlignEdgeLineStyle, setSnapAxis, setSnapEdge, setSnapGridLineProperties, setSnapGridStyle, setSnapHDirection, setSnapHGap, setSnapOffsetLeft, setSnapOffsetTop, setSnapOnDrop, setSnapResizeToAlign, setSnapResizeToGrid, setSnapTo, setSnapToAlign, setSnapToCenterAlign, setSnapToEdgeAlign, setSnapToGrid, setSnapVDirection, setSnapVGap, setStartLine, setStyleName, setTabIndex, setTestDataContext, setTooltip, setTop, setTop, setUpdateTabPositionOnDraw, setUpdateTabPositionOnReparent, setUseCSSShadow, setUseDragMask, setUseImageForSVG, setUseNativeDrag, setUseOpacityFilter, setUseTouchScrolling, setValuesManager, setValuesManager, setVisibility, setVisible, setVisibleWhen, setWidth, setWidth, setWidth, setWidth100, setWorkflows, setZIndex, shouldDragScroll, show, showClickMask, showComponentMask, showComponentMask, showNextTo, showNextTo, showNextTo, showNextTo, showPendingMarker, showPrintPreview, showPrintPreview, showPrintPreview, showPrintPreview, showRecursively, startDebuggingOverflow, stopDebuggingOverflow, updateChildTabPosition, updateChildTabPositions, updateEditNode, updateHover, updateHover, updateShadow, updateTabPositionForDraw, visibleAtPoint, willAcceptDrop`

    - ### Methods inherited from class com.smartgwt.client.widgets.BaseWidget

      `addDrawHandler, addDynamicProperty, addDynamicProperty, addDynamicProperty, addDynamicProperty, applyFactoryProperties, clearDynamicProperty, completeCreation, destroy, doAddHandler, doInit, doOnRender, draw, equals, error, errorIfNotCreated, getAttribute, getAttributeAsBoolean, getAttributeAsDate, getAttributeAsDateArray, getAttributeAsDouble, getAttributeAsElement, getAttributeAsFloat, getAttributeAsFloatArray, getAttributeAsInt, getAttributeAsIntArray, getAttributeAsJavaScriptObject, getAttributeAsMap, getAttributeAsObject, getAttributeAsRecord, getAttributeAsString, getAttributeAsStringArray, getConfig, getDOM, getHandlerCount, getID, getInnerHTML, getJsObj, getOrCreateJsObj, getRef, getScClassName, hasAutoAssignedID, hasDynamicProperty, hashCode, initNativeObject, internalSetID, internalSetID, isConfigOnly, isCreated, isDrawn, isFactoryCreated, onBind, onDestroy, onDraw, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setConfig, setConfigOnly, setDefaultProperties, setDragTracker, setFactoryCreated, setID, setJavaScriptObject, setLogicalStructure, setLogicalStructure, setNullProperty, setPosition, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setScClassName, toString`

    - ### Methods inherited from class com.google.gwt.user.client.ui.Widget

      `addAttachHandler, addBitlessDomHandler, addDomHandler, addHandler, asWidget, asWidgetOrNull, createHandlerManager, delegateEvent, doAttachChildren, doDetachChildren, fireEvent, getLayoutData, getParent, isAttached, isOrWasAttached, onBrowserEvent, onLoad, onUnload, removeFromParent, setLayoutData, sinkEvents, unsinkEvents`

    - ### Methods inherited from class com.google.gwt.user.client.ui.UIObject

      `addStyleDependentName, ensureDebugId, ensureDebugId, ensureDebugId, getStyleElement, getStyleName, getStylePrimaryName, getStylePrimaryName, isVisible, onEnsureDebugId, removeStyleDependentName, removeStyleName, resolvePotentialElement, setElement, setPixelSize, setSize, setStyleDependentName, setStyleName, setStyleName, setStyleName, setStylePrimaryName, setStylePrimaryName, setVisible, sinkBitlessEvent`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.google.gwt.event.shared.HasHandlers

      `fireEvent`

- - ### Constructor Detail

    - #### MultiGroupDialog

          public MultiGroupDialog()

    - #### MultiGroupDialog

          public MultiGroupDialog(com.google.gwt.core.client.JavaScriptObject jsObj)

  - ### Method Detail

    - #### getOrCreateRef

          public static MultiGroupDialog getOrCreateRef(com.google.gwt.core.client.JavaScriptObject jsObj)

    - #### changeAutoChildDefaults

          public static void changeAutoChildDefaults(java.lang.String autoChildName,
                                                     Canvas defaults)

      Changes the defaults for Canvas AutoChildren named `autoChildName`.
      Parameters:
        `autoChildName` - name of an AutoChild to customize the defaults for.
        `defaults` - Canvas defaults to apply. These defaults override any existing properties without destroying or wiping out non-overridden properties. For usage tips on this param, see `SGWTProperties`.
      See Also:
        `AutoChildUsage`

    - #### changeAutoChildDefaults

          public static void changeAutoChildDefaults(java.lang.String autoChildName,
                                                     FormItem defaults)

      Changes the defaults for FormItem AutoChildren named `autoChildName`.
      Parameters:
        `autoChildName` - name of an AutoChild to customize the defaults for.
        `defaults` - FormItem defaults to apply. These defaults override any existing properties without destroying or wiping out non-overridden properties. For usage tips on this param, see `SGWTProperties`.
      See Also:
        `AutoChildUsage`

    - #### create

          protected com.google.gwt.core.client.JavaScriptObject create()

      Overrides:
        `create` in class `Window`

    - #### getAddLevelButton

          public IButton getAddLevelButton()
                                    throws java.lang.IllegalStateException

      Automatically generated `IButton` providing a mechanism for adding new levels to the group configuration.

      This component is an `com.smartgwt.client.types.AutoChild` and as such may be customized via `multiGroupPanel.addLevelButtonProperties` and `multiGroupPanel.addLevelButtonDefaults`.

      This component is an AutoChild named "addLevelButton". For an overview of how to use and configure AutoChildren, see `Using AutoChildren`.

      Returns:
        Current addLevelButton value. Default value is null
      Throws:
        `java.lang.IllegalStateException` - if this widget has not yet been rendered.

    - #### setAddLevelButtonTitle

          public MultiGroupDialog setAddLevelButtonTitle(java.lang.String addLevelButtonTitle)
                                                  throws java.lang.IllegalStateException

      The title-text to appear on the addLevelButton.

      Note, this is a passthrough property which, when set, is passed through to the `MultiGroupPanel` contained in this dialog. You only need to consider the properties on the MultiGroupPanel for i18n.

      Parameters:
        `addLevelButtonTitle` - New addLevelButtonTitle value. Default value is "Add Level"
      Returns:
        `MultiGroupDialog` instance, for chaining setter calls
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the component has been created

    - #### getAddLevelButtonTitle

          public java.lang.String getAddLevelButtonTitle()

      The title-text to appear on the addLevelButton.

      Note, this is a passthrough property which, when set, is passed through to the `MultiGroupPanel` contained in this dialog. You only need to consider the properties on the MultiGroupPanel for i18n.

      Returns:
        Current addLevelButtonTitle value. Default value is "Add Level"

    - #### getApplyButton

          public IButton getApplyButton()
                                 throws java.lang.IllegalStateException

      Automatically generated `IButton` providing the mechanism for accepting the current group configuration. Fires the passed callback with a single parameter, groupLevels, representing the current group configuration as an array of `GroupSpecifier`s.

      This component is an `com.smartgwt.client.types.AutoChild` and as such may be customized via `multiGroupPanel.applyButtonProperties` and `multiGroupPanel.applyButtonDefaults`.

      This component is an AutoChild named "applyButton". For an overview of how to use and configure AutoChildren, see `Using AutoChildren`.

      Returns:
        Current applyButton value. Default value is null
      Throws:
        `java.lang.IllegalStateException` - if this widget has not yet been rendered.

    - #### setApplyButtonTitle

          public MultiGroupDialog setApplyButtonTitle(java.lang.String applyButtonTitle)
                                               throws java.lang.IllegalStateException

      The title-text to appear on the applyButton
      Parameters:
        `applyButtonTitle` - New applyButtonTitle value. Default value is "Apply"
      Returns:
        `MultiGroupDialog` instance, for chaining setter calls
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the component has been created

    - #### getApplyButtonTitle

          public java.lang.String getApplyButtonTitle()

      The title-text to appear on the applyButton
      Returns:
        Current applyButtonTitle value. Default value is "Apply"

    - #### getCancelButton

          public IButton getCancelButton()
                                  throws java.lang.IllegalStateException

      Automatically generated `IButton` providing the mechanism for closing this Dialog without accepting the current group configuration. The passed callback is fired with a single null parameter, indicating that the operation was cancelled.

      This component is an `com.smartgwt.client.types.AutoChild` and as such may be customized via `multiGroupPanel.cancelButtonProperties` and `multiGroupPanel.cancelButtonDefaults`.

      This component is an AutoChild named "cancelButton". For an overview of how to use and configure AutoChildren, see `Using AutoChildren`.

      Returns:
        Current cancelButton value. Default value is null
      Throws:
        `java.lang.IllegalStateException` - if this widget has not yet been rendered.

    - #### setCancelButtonTitle

          public MultiGroupDialog setCancelButtonTitle(java.lang.String cancelButtonTitle)
                                                throws java.lang.IllegalStateException

      The title-text to appear on the cancelButton
      Parameters:
        `cancelButtonTitle` - New cancelButtonTitle value. Default value is "Cancel"
      Returns:
        `MultiGroupDialog` instance, for chaining setter calls
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the component has been created

    - #### getCancelButtonTitle

          public java.lang.String getCancelButtonTitle()

      The title-text to appear on the cancelButton
      Returns:
        Current cancelButtonTitle value. Default value is "Cancel"

    - #### getCopyLevelButton

          public IButton getCopyLevelButton()
                                     throws java.lang.IllegalStateException

      Automatically generated `IButton` providing a mechanism for duplicating levels in the group configuration.

      This component is an `com.smartgwt.client.types.AutoChild` and as such may be customized via `multiGroupPanel.copyLevelButtonProperties` and `multiGroupPanel.copyLevelButtonDefaults`.

      This component is an AutoChild named "copyLevelButton". For an overview of how to use and configure AutoChildren, see `Using AutoChildren`.

      Returns:
        Current copyLevelButton value. Default value is null
      Throws:
        `java.lang.IllegalStateException` - if this widget has not yet been rendered.

    - #### setCopyLevelButtonTitle

          public MultiGroupDialog setCopyLevelButtonTitle(java.lang.String copyLevelButtonTitle)
                                                   throws java.lang.IllegalStateException

      The title-text to appear on the copyLevelButton

      Note, this is a passthrough property which, when set, is passed through to the `MultiGroupPanel` contained in this dialog. You only need to consider the properties on the MultiGroupPanel for i18n.

      Parameters:
        `copyLevelButtonTitle` - New copyLevelButtonTitle value. Default value is "Copy Level"
      Returns:
        `MultiGroupDialog` instance, for chaining setter calls
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the component has been created

    - #### getCopyLevelButtonTitle

          public java.lang.String getCopyLevelButtonTitle()

      The title-text to appear on the copyLevelButton

      Note, this is a passthrough property which, when set, is passed through to the `MultiGroupPanel` contained in this dialog. You only need to consider the properties on the MultiGroupPanel for i18n.

      Returns:
        Current copyLevelButtonTitle value. Default value is "Copy Level"

    - #### getDeleteLevelButton

          public IButton getDeleteLevelButton()
                                       throws java.lang.IllegalStateException

      Automatically generated `IButton` providing a mechanism for deleting levels from the group configuration.

      This component is an `com.smartgwt.client.types.AutoChild` and as such may be customized via `multiGroupPanel.deleteLevelButtonProperties` and `multiGroupPanel.deleteLevelButtonDefaults`.

      This component is an AutoChild named "deleteLevelButton". For an overview of how to use and configure AutoChildren, see `Using AutoChildren`.

      Returns:
        Current deleteLevelButton value. Default value is null
      Throws:
        `java.lang.IllegalStateException` - if this widget has not yet been rendered.

    - #### setDeleteLevelButtonTitle

          public MultiGroupDialog setDeleteLevelButtonTitle(java.lang.String deleteLevelButtonTitle)
                                                     throws java.lang.IllegalStateException

      The title-text to appear on the deleteLevelButton

      Note, this is a passthrough property which, when set, is passed through to the `MultiGroupPanel` contained in this dialog. You only need to consider the properties on the MultiGroupPanel for i18n.

      Parameters:
        `deleteLevelButtonTitle` - New deleteLevelButtonTitle value. Default value is "Delete Level"
      Returns:
        `MultiGroupDialog` instance, for chaining setter calls
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the component has been created

    - #### getDeleteLevelButtonTitle

          public java.lang.String getDeleteLevelButtonTitle()

      The title-text to appear on the deleteLevelButton

      Note, this is a passthrough property which, when set, is passed through to the `MultiGroupPanel` contained in this dialog. You only need to consider the properties on the MultiGroupPanel for i18n.

      Returns:
        Current deleteLevelButtonTitle value. Default value is "Delete Level"

    - #### setGroupingFieldTitle

          public MultiGroupDialog setGroupingFieldTitle(java.lang.String groupingFieldTitle)
                                                 throws java.lang.IllegalStateException

      The title-text to appear in the header of the "property" field.

      Note, this is a passthrough property which, when set, is passed through to the `MultiGroupPanel` contained in this dialog. You only need to consider the properties on the MultiGroupPanel for i18n.

      Parameters:
        `groupingFieldTitle` - New groupingFieldTitle value. Default value is "Grouping"
      Returns:
        `MultiGroupDialog` instance, for chaining setter calls
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the component has been created

    - #### getGroupingFieldTitle

          public java.lang.String getGroupingFieldTitle()

      The title-text to appear in the header of the "property" field.

      Note, this is a passthrough property which, when set, is passed through to the `MultiGroupPanel` contained in this dialog. You only need to consider the properties on the MultiGroupPanel for i18n.

      Returns:
        Current groupingFieldTitle value. Default value is "Grouping"

    - #### setInvalidListPrompt

          public MultiGroupDialog setInvalidListPrompt(java.lang.String invalidListPrompt)
                                                throws java.lang.IllegalStateException

      This is a dynamic string - text within `${...}` will be evaluated as JS code when the message is displayed.

      Default value returns

      `Columns may only be used once: `[some field's title]` is used multiple times`

      Note, this is a passthrough property which, when set, is passed through to the `MultiGroupPanel` contained in this dialog. You only need to consider the properties on the MultiGroupPanel for i18n.

      Parameters:
        `invalidListPrompt` - New invalidListPrompt value. Default value is "Columns may only be used once: '${title}' is used multiple times."
      Returns:
        `MultiGroupDialog` instance, for chaining setter calls
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the component has been created
      See Also:
        `HTMLString`

    - #### getInvalidListPrompt

          public java.lang.String getInvalidListPrompt()

      This is a dynamic string - text within `${...}` will be evaluated as JS code when the message is displayed.

      Default value returns

      `Columns may only be used once: `[some field's title]` is used multiple times`

      Note, this is a passthrough property which, when set, is passed through to the `MultiGroupPanel` contained in this dialog. You only need to consider the properties on the MultiGroupPanel for i18n.

      Returns:
        Current invalidListPrompt value. Default value is "Columns may only be used once: '${title}' is used multiple times."
      See Also:
        `HTMLString`

    - #### getLevelDownButton

          public ImgButton getLevelDownButton()
                                       throws java.lang.IllegalStateException

      Automatically generated `ImgButton` providing a mechanism for moving existing group-levels down in the group configuration.

      This component is an `com.smartgwt.client.types.AutoChild` and as such may be customized via `multiGroupPanel.levelDownButtonProperties` and `multiGroupPanel.levelDownButtonDefaults`.

      This component is an AutoChild named "levelDownButton". For an overview of how to use and configure AutoChildren, see `Using AutoChildren`.

      Returns:
        Current levelDownButton value. Default value is null
      Throws:
        `java.lang.IllegalStateException` - if this widget has not yet been rendered.

    - #### setLevelDownButtonTitle

          public MultiGroupDialog setLevelDownButtonTitle(java.lang.String levelDownButtonTitle)
                                                   throws java.lang.IllegalStateException

      The hover-prompt for the Level Down button.
      Parameters:
        `levelDownButtonTitle` - New levelDownButtonTitle value. Default value is "Move Level Down"
      Returns:
        `MultiGroupDialog` instance, for chaining setter calls
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the component has been created

    - #### getLevelDownButtonTitle

          public java.lang.String getLevelDownButtonTitle()

      The hover-prompt for the Level Down button.
      Returns:
        Current levelDownButtonTitle value. Default value is "Move Level Down"

    - #### getLevelUpButton

          public ImgButton getLevelUpButton()
                                     throws java.lang.IllegalStateException

      Automatically generated `ImgButton` providing a mechanism for moving existing group-levels up in the group configuration.

      This component is an `com.smartgwt.client.types.AutoChild` and as such may be customized via `multiGroupPanel.levelUpButtonProperties` and `multiGroupPanel.levelUpButtonDefaults`.

      This component is an AutoChild named "levelUpButton". For an overview of how to use and configure AutoChildren, see `Using AutoChildren`.

      Returns:
        Current levelUpButton value. Default value is null
      Throws:
        `java.lang.IllegalStateException` - if this widget has not yet been rendered.

    - #### setLevelUpButtonTitle

          public MultiGroupDialog setLevelUpButtonTitle(java.lang.String levelUpButtonTitle)
                                                 throws java.lang.IllegalStateException

      The hover-prompt for the Level Up button.
      Parameters:
        `levelUpButtonTitle` - New levelUpButtonTitle value. Default value is "Move Level Up"
      Returns:
        `MultiGroupDialog` instance, for chaining setter calls
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the component has been created

    - #### getLevelUpButtonTitle

          public java.lang.String getLevelUpButtonTitle()

      The hover-prompt for the Level Up button.
      Returns:
        Current levelUpButtonTitle value. Default value is "Move Level Up"

    - #### setMaxLevels

          public MultiGroupDialog setMaxLevels(java.lang.Integer maxLevels)
                                        throws java.lang.IllegalStateException

      The maximum number of levels of grouping that can be applied. Since each group-property or field-name can be used only once in a given multi-group operation, if no maxLevels value or a value larger than the total number of available properties is specified, it will default to the total number of available properties.

      Note, this is a passthrough property which, when set, is passed through to the `MultiGroupPanel` contained in this dialog.

      Parameters:
        `maxLevels` - New maxLevels value. Default value is null
      Returns:
        `MultiGroupDialog` instance, for chaining setter calls
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the component has been created

    - #### getMaxLevels

          public java.lang.Integer getMaxLevels()

      The maximum number of levels of grouping that can be applied. Since each group-property or field-name can be used only once in a given multi-group operation, if no maxLevels value or a value larger than the total number of available properties is specified, it will default to the total number of available properties.

      Note, this is a passthrough property which, when set, is passed through to the `MultiGroupPanel` contained in this dialog.

      Returns:
        Current maxLevels value. Default value is null

    - #### getOptionsGrid

          public ListGrid getOptionsGrid()
                                  throws java.lang.IllegalStateException

      Automatically generated `ListGrid` allowing the user to configure a set of `GroupSpecifier`s.

      This component is an `com.smartgwt.client.types.AutoChild` and as such may be customized via `multiGroupPanel.optionsGridProperties` and `multiGroupPanel.optionsGridDefaults`.

      This component is an AutoChild named "optionsGrid". For an overview of how to use and configure AutoChildren, see `Using AutoChildren`.

      Returns:
        Current optionsGrid value. Default value is null
      Throws:
        `java.lang.IllegalStateException` - if this widget has not yet been rendered.

    - #### setPropertyFieldTitle

          public MultiGroupDialog setPropertyFieldTitle(java.lang.String propertyFieldTitle)
                                                 throws java.lang.IllegalStateException

      The title-text to appear in the header of the "property" field.

      Note, this is a passthrough property which, when set, is passed through to the `MultiGroupPanel` contained in this dialog. You only need to consider the properties on the MultiGroupPanel for i18n.

      Parameters:
        `propertyFieldTitle` - New propertyFieldTitle value. Default value is "Column"
      Returns:
        `MultiGroupDialog` instance, for chaining setter calls
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the component has been created

    - #### getPropertyFieldTitle

          public java.lang.String getPropertyFieldTitle()

      The title-text to appear in the header of the "property" field.

      Note, this is a passthrough property which, when set, is passed through to the `MultiGroupPanel` contained in this dialog. You only need to consider the properties on the MultiGroupPanel for i18n.

      Returns:
        Current propertyFieldTitle value. Default value is "Column"

    - #### setTitle

          public void setTitle(java.lang.String title)
                        throws java.lang.IllegalStateException

      The title-text to appear in this Dialog's Header-bar.
      Overrides:
        `setTitle` in class `Window`
      Parameters:
        `title` - New title value. Default value is "Group"
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the component has been created
      See Also:
        `HTMLString`, `Appearance overview and related methods`

    - #### getTitle

          public java.lang.String getTitle()

      The title-text to appear in this Dialog's Header-bar.
      Overrides:
        `getTitle` in class `Window`
      Returns:
        Current title value. Default value is "Group"
      See Also:
        `HTMLString`, `Appearance overview and related methods`

    - #### getNumLevels

          public int getNumLevels()

      Return the number of levels of grouping that have been configured.
      Returns:
        The number of levels of grouping that have been configured

    - #### validate

          public boolean validate()

      Validate that no two `GroupSpecifier`s group on the same `property`.
      Returns:
        True if validation succeeds, false if any property is used twice

    - #### setDefaultProperties

          public static void setDefaultProperties(MultiGroupDialog multiGroupDialogProperties)

      Class level method to set the default properties of this class. If set, then all existing and subsequently created instances of this class will automatically have default properties corresponding to the properties set on the SmartGWT class instance passed to this function before its underlying SmartClient JS object was created. This is a powerful feature that eliminates the need for users to create a separate hierarchy of subclasses that only alter the default properties of this class. Can also be used for skinning / styling purposes.

      Note: This method is intended for setting default attributes only and will affect all instances of the underlying class (including those automatically generated in JavaScript). This method should not be used to apply standard EventHandlers or override methods for a class - use a custom subclass instead. Calling this method after instances have been created can result in undefined behavior, since it bypasses any setters and a class instance may have already examined a particular property and not be expecting any changes through this route.

      Parameters:
        `multiGroupDialogProperties` - properties that should be used as new defaults when instances of this class are created
      See Also:
        `SGWTProperties`

    - #### setLogicalStructure

          public com.smartgwt.logicalstructure.core.LogicalStructureObject setLogicalStructure(com.smartgwt.logicalstructure.widgets.MultiGroupDialogLogicalStructure s)

      Setter implementing the `LogicalStructure` interface, which supports Eclipse's logical structure debugging facility.

    - #### getLogicalStructure

          public com.smartgwt.logicalstructure.core.LogicalStructureObject getLogicalStructure()

      Getter implementing the `LogicalStructure` interface, which supports Eclipse's logical structure debugging facility.
      Specified by:
        `getLogicalStructure` in interface `LogicalStructure`
      Overrides:
        `getLogicalStructure` in class `Window`